import { createSlice } from '@reduxjs/toolkit';
import { DrawerState } from '@/redux/drawer/drawer.types';
import { openDrawerReducer, closeDrawerReducer } from './drawer.reducers';

const initialState: DrawerState = {
  open: false,
  pathName: 'none',
};

const drawerSlice = createSlice({
  name: 'drawer',
  initialState,
  reducers: {
    openDrawer: openDrawerReducer,
    closeDrawer: closeDrawerReducer,
  },
});

export const { openDrawer, closeDrawer } = drawerSlice.actions;

export default drawerSlice.reducer;
