import { configureStore } from '@reduxjs/toolkit';
import searchReducer from '@/redux/search/search.slice';
import projectSlice from '@/redux/project/project.slice';
import drugsReducer from '@/redux/drugs/drugs.slice';
import drawerReducer from '@/redux/drawer/drawer.slice';

export const store = configureStore({
  reducer: {
    search: searchReducer,
    project: projectSlice,
    drugs: drugsReducer,
    drawer: drawerReducer,
  },
  devTools: true,
});

// Infer the `RootState` and `AppDispatch` types from the store itself
export type RootState = ReturnType<typeof store.getState>;
// Inferred type: {posts: PostsState, comments: CommentsState, users: UsersState}
export type AppDispatch = typeof store.dispatch;
